Page MenuHomePhabricator

Back-fill log entries from GlobalRenameQueue renames that promoted to a global account
Closed, ResolvedPublic

Description

Up until T72851 was fixed, these types of renames were not logged publicly. We should have the proper data in the renameuser_queue table, so just needs a script to read from there and create log entries.

Event Timeline

Legoktm created this task.Mar 19 2015, 4:17 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, Trijnstel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 4:17 PM
Steinsplitter triaged this task as Unbreak Now! priority.Sep 9 2015, 9:57 AM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 9 2015, 9:57 AM

Change 237169 had a related patch set uploaded (by Legoktm):
Add script to back-populate promote to global logs from the rename queue

https://gerrit.wikimedia.org/r/237169

Legoktm claimed this task.Sep 9 2015, 6:26 PM

The script has been run on metawiki but we should keep this open until the patch is merged?

Glaisher lowered the priority of this task from Unbreak Now! to Normal.Oct 5 2015, 5:16 PM

Change 237169 abandoned by Legoktm:
Add script to back-populate promote to global logs from the rename queue

Reason:
Run in production, not really suitable for inclusion in CentralAuth.

https://gerrit.wikimedia.org/r/237169

Glaisher closed this task as Resolved.Oct 6 2015, 11:07 AM
Glaisher removed a project: Patch-For-Review.
Keegan moved this task from Review requested to Closed on the GlobalRename board.Jan 13 2016, 9:29 PM